Bug 65766 - profile.d script wipes out alias
profile.d script wipes out alias
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
David Lawrence
:
Depends On:
Blocks: 65252 965830
  Show dependency treegraph
 
Reported: 2002-05-31 11:37 EDT by Michael McLagan
Modified: 2013-05-21 16:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-27 03:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael McLagan 2002-05-31 11:37:27 EDT
Description of Problem:
the /etc/profile.d/vim.sh script will overwrite another alias in the 
environment if there is one.  Scripts are executed in alpha order (not a 
choice, not a good result but there's no reasonable means of declaring an
order) which means that alias.sh (a script I have which creates an alias 
for 'vi') and the vim.sh script unconditionally sets a new VI alias, 
regardless of whether or not there is one already

Version-Release number of selected component (if applicable):
vi-enhanced-6.1-2

How Reproducible:
always

Steps to Reproduce:
1. create script /etc/profile.d/alias.sh with "alias vi='gvim'"
2. login with /bin/bash as shell
3. execute 'alias'.  

Actual Results:
alias vi='vim'

Expected Results:
alias vi='gvim'

Additional Information:
Giving my script the name "zzzrunmelast.sh" works but really isn't a 
solution.  vim.sh should not overwrite a current alias.

Note You need to log in before you can comment on or make changes to this bug.